## libkf5calendarsupport 20.08.1

=== debian/changelog ===
libkf5calendarsupport (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:48:20 +0100

libkf5calendarsupport (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update symbols.
  * Drop depreciated libkf5kdepimdbusinterfaces-dev build dep.
  * New build depend on libkf5akonadinotes-dev.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:19:11 +0100
