=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadicalendar-dev (>= 4:19.12.3~),
-               libkf5akonadimime-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadicalendar-dev (>= 4:20.08.1~),
+               libkf5akonadimime-dev (>= 4:20.08.1~),
+               libkf5akonadinotes-dev (>= 4:20.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarutils-dev (>= 4:19.12.3~),
+               libkf5calendarutils-dev (>= 4:20.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.12.3~),
+               libkf5contacteditor-dev (>= 4:20.08.1~),
                libkf5holidays-dev (>= 1:5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 19.12.3~),
-               libkf5kdepimdbusinterfaces-dev (>= 4:19.12.3~),
-               libkf5mime-dev (>= 19.12.3~),
-               libkf5pimcommon-dev (>= 4:19.12.3~),
+               libkf5identitymanagement-dev (>= 20.08.1~),
+               libkf5mime-dev (>= 20.08.1~),
+               libkf5pimcommon-dev (>= 4:20.08.1~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
@@ -43,10 +43,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
-         libkf5akonadicalendar-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
+         libkf5akonadicalendar-dev (>= 4:20.08.1~),
          libkf5calendarsupport5abi1 (= ${binary:Version}),
-         libkf5identitymanagement-dev (>= 19.12.3~),
+         libkf5identitymanagement-dev (>= 20.08.1~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends},
