## libkf5calendarsupport 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.13.3")
+set(PIM_VERSION "5.15.3")
 
 project(calendarsupport VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.63.0")
+set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
@@ -19,24 +19,22 @@
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
 
-include(ECMSetupVersion)
 include(FeatureSummary)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
 
-
 set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "5.13.3")
-set(KDEPIM_LIB_VERSION "5.13.3")
-set(QT_REQUIRED_VERSION "5.11.0")
-set(KMIME_LIB_VERSION "5.13.3")
-set(CALENDARUTILS_LIB_VERSION "5.13.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.13.3")
-set(AKONADICALENDAR_LIB_VERSION "5.13.3")
-set(PIMCOMMON_LIB_VERSION "5.13.3")
-set(AKONADI_VERSION "5.13.3")
+set(AKONADI_MIMELIB_VERSION "5.15.3")
+set(QT_REQUIRED_VERSION "5.13.0")
+set(KMIME_LIB_VERSION "5.15.3")
+set(CALENDARUTILS_LIB_VERSION "5.15.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.15.3")
+set(AKONADICALENDAR_LIB_VERSION "5.15.3")
+set(PIMCOMMON_LIB_VERSION "5.15.3")
+set(AKONADI_VERSION "5.15.3")
+set(AKONADI_NOTES_VERSION "5.15.3")
 find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
-find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test UiTools PrintSupport)
+find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test PrintSupport)
 find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5GuiAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -49,7 +47,7 @@
 find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5KdepimDBusInterfaces ${KDEPIM_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5AkonadiNotes ${AKONADI_NOTES_VERSION} CONFIG REQUIRED)
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX CALENDARSUPPORT
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/calendarsupport_version.h"
@@ -60,10 +58,10 @@
 ########### Targets ###########
 
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054600)
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5CalendarSupport")
@@ -89,12 +87,11 @@
 )
 
 add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_KEYWORDS)
 
 
 add_subdirectory(src)
 
-install(FILES calendarsupport.categories calendarsupport.renamecategories DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
