=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,12 +15,14 @@
   eventarchiver.cpp
   identitymanager.cpp
   incidenceattachmentmodel.cpp
-  kcalmodel.cpp
   kcalprefs.cpp
   messagewidget.cpp
+  noteeditdialog.cpp
   utils.cpp
   tagcache.cpp
   plugin.cpp
+  urihandler.cpp
+  kdatepickerpopup.cpp
 
   printing/calprintpluginbase.cpp
   printing/calprintdefaultplugins.cpp
@@ -45,7 +47,9 @@
   printing/calprintweekconfig_base.ui
   printing/calprintyearconfig_base.ui
 )
-ecm_qt_declare_logging_category(calendarsupport_LIB_SRCS HEADER calendarsupport_debug.h IDENTIFIER CALENDARSUPPORT_LOG CATEGORY_NAME org.kde.pim.calendarsupport)
+ecm_qt_declare_logging_category(calendarsupport_LIB_SRCS HEADER calendarsupport_debug.h IDENTIFIER CALENDARSUPPORT_LOG CATEGORY_NAME org.kde.pim.calendarsupport
+        OLD_CATEGORY_NAMES log_calendarsupport
+        DESCRIPTION "calendarsupport (calendarsupport)" EXPORT CALENDARSUPPORT)
 
 kconfig_add_kcfg_files(calendarsupport_LIB_SRCS kcalprefs_base.kcfgc)
 
@@ -69,12 +73,12 @@
   KF5::KIOWidgets
   KF5::GuiAddons
   KF5::AkonadiWidgets
+  KF5::AkonadiNotes
   KF5::Holidays
   KF5::Codecs
   KF5::AkonadiCore
   KF5::CalendarCore
   KF5::CalendarUtils
-  KF5::KdepimDBusInterfaces
   KF5::PimCommon
 )
 
@@ -103,6 +107,9 @@
   CalendarSingleton
   MessageWidget
   ArchiveDialog
+  NoteEditDialog
+  KDatePickerPopup
+  UriHandler
   REQUIRED_HEADERS CalendarSupport_HEADERS
   PREFIX CalendarSupport
 )
@@ -142,8 +149,6 @@
     DEPS "Mime IdentityManagement AkonadiCalendar" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/CalendarSupport
 )
 
-
-
 install(FILES
     ${CalendarSupport_CamelCase_HEADERS}
     ${CalendarSupport_CamelCaseprinter_HEADERS}
@@ -173,12 +178,11 @@
     ${PRI_FILENAME}
     DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
 
-
 install(FILES calendarplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
 
-
 if(BUILD_TESTING)
-   add_subdirectory(freebusymodel/autotests)
+    add_subdirectory(autotests)
+    add_subdirectory(freebusymodel/autotests)
 endif()
 
-
+ecm_qt_install_logging_categories(EXPORT CALENDARSUPPORT FILE calendarsupport.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
