=== debian/changelog ===
libkf5calendarsupport (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Add upstream patch to port away from deprecated QPrinter functions.
    (Closes: #977277)
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:50:31 +0100

libkf5calendarsupport (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:09:25 +0200

libkf5calendarsupport (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Remove not needed Build-Depends.
  * autotests need now xvfb-run.
  * Update copyright file for 20.08.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:15 +0200

libkf5calendarsupport (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Unregister the old /etc/xdg/calendarsupport.categories, and
    /etc/xdg/calendarsupport.renamecategories conffiles.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Aug 2020 07:35:47 +0200

libkf5calendarsupport (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:00:48 +0200

libkf5calendarsupport (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:23:51 +0200
