## libkf5calendarsupport 21.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,13 @@
-cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.15.3")
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+set(PIM_VERSION "5.18.1")
 
 project(calendarsupport VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.71.0")
+set(KF5_MIN_VERSION "5.83.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(LIBRARY_NAMELINK)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -20,19 +19,20 @@
 include(ECMGeneratePriFile)
 
 include(FeatureSummary)
+include(KDEGitCommitHooks)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
 
 set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "5.15.3")
-set(QT_REQUIRED_VERSION "5.13.0")
-set(KMIME_LIB_VERSION "5.15.3")
-set(CALENDARUTILS_LIB_VERSION "5.15.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.15.3")
-set(AKONADICALENDAR_LIB_VERSION "5.15.3")
-set(PIMCOMMON_LIB_VERSION "5.15.3")
-set(AKONADI_VERSION "5.15.3")
-set(AKONADI_NOTES_VERSION "5.15.3")
+set(AKONADI_MIMELIB_VERSION "5.18.1")
+set(QT_REQUIRED_VERSION "5.15.0")
+set(KMIME_LIB_VERSION "5.18.1")
+set(CALENDARUTILS_LIB_VERSION "5.18.1")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.18.1")
+set(AKONADICALENDAR_LIB_VERSION "5.18.1")
+set(PIMCOMMON_LIB_VERSION "5.18.1")
+set(AKONADI_VERSION "5.18.1")
+set(AKONADI_NOTES_VERSION "5.18.1")
 find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test PrintSupport)
 find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -59,9 +59,15 @@
 
 
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054600)
-set(CMAKE_CXX_STANDARD 14)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055400)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
+
+set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
+if (USE_UNITY_CMAKE_SUPPORT)
+    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
+endif()
 
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5CalendarSupport")
@@ -86,12 +92,11 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
 
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_NO_KEYWORDS)
 
 
 add_subdirectory(src)
 
 
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+ki18n_install(po)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
