=== debian/changelog ===
libkf5calendarsupport (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:29:27 +0100

libkf5calendarsupport (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:57:26 +0100

libkf5calendarsupport (4:21.07.90-0ubuntu2) impish; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Aug 2021 09:28:19 +0100

libkf5calendarsupport (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:49:48 +0100

libkf5calendarsupport (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:41:51 +0100

libkf5calendarsupport (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:38:14 +0100

libkf5calendarsupport (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:34:23 +0100

libkf5calendarsupport (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:01:21 +0100

libkf5calendarsupport (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Refreshed patch enable_debianabimanager.diff

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:29:03 +0100
