## libkf5calendarsupport 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.18.1")
+set(PIM_VERSION "5.19.3")
 
 project(calendarsupport VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.83.0")
+set(KF5_MIN_VERSION "5.87.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
@@ -11,7 +11,7 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 
 include(GenerateExportHeader)
 include(ECMSetupVersion)
@@ -20,19 +20,29 @@
 
 include(FeatureSummary)
 include(KDEGitCommitHooks)
+include(KDEClangFormat)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
 
+include(ECMAddQch)
+
+
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+
 set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "5.18.1")
-set(QT_REQUIRED_VERSION "5.15.0")
-set(KMIME_LIB_VERSION "5.18.1")
-set(CALENDARUTILS_LIB_VERSION "5.18.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.18.1")
-set(AKONADICALENDAR_LIB_VERSION "5.18.1")
-set(PIMCOMMON_LIB_VERSION "5.18.1")
-set(AKONADI_VERSION "5.18.1")
-set(AKONADI_NOTES_VERSION "5.18.1")
+set(AKONADI_MIMELIB_VERSION "5.19.3")
+set(QT_REQUIRED_VERSION "5.15.2")
+set(KMIME_LIB_VERSION "5.19.3")
+set(CALENDARUTILS_LIB_VERSION "5.19.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.19.3")
+set(AKONADICALENDAR_LIB_VERSION "5.19.3")
+set(PIMCOMMON_LIB_VERSION "5.19.3")
+set(AKONADI_VERSION "5.19.3")
+set(AKONADI_NOTES_VERSION "5.19.3")
 find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test PrintSupport)
 find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -58,10 +68,8 @@
 ########### Targets ###########
 
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055400)
-set(CMAKE_CXX_STANDARD 17)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
 
 set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
@@ -99,4 +107,15 @@
 
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 ki18n_install(po)
+
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5CalendarSupport_QCH
+        FILE KF5CalendarSupportQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5CalendarSupportQchTargets.cmake\")")
+endif()
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
