=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,9 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"calendarsupport\")
 
 ########### next target ###############
-
-set(calendarsupport_LIB_SRCS
+add_library(KF5CalendarSupport)
+add_library(KF5::CalendarSupport ALIAS KF5CalendarSupport)
+target_sources(KF5CalendarSupport PRIVATE
   archivedialog.cpp
   attachmenthandler.cpp
   calendarsingleton.cpp
@@ -36,9 +37,41 @@
   freebusymodel/freebusyitem.cpp
   freebusymodel/freebusyitemmodel.cpp
   freebusymodel/freebusycalendar.cpp
-)
-
-ki18n_wrap_ui(calendarsupport_LIB_SRCS
+  next/incidenceviewer.h
+  next/incidenceviewer_p.h
+  categoryhierarchyreader.h
+  calendarsingleton.h
+  utils.h
+  plugin.h
+  archivedialog.h
+  cellitem.h
+  identitymanager.h
+  noteeditdialog.h
+  attachmenthandler.h
+  eventarchiver.h
+  kdatepickerpopup.h
+  printing/printplugin.h
+  printing/calprintpluginbase.h
+  printing/journalprint.h
+  printing/calprintdefaultplugins.h
+  printing/yearprint.h
+  printing/calprinter.h
+  calendarutils.h
+  categoryconfig.h
+  kcalprefs.h
+  urihandler.h
+  incidenceattachmentmodel.h
+  freebusymodel/freeperiodmodel.h
+  freebusymodel/freebusyitemmodel.h
+  freebusymodel/freebusycalendar.h
+  freebusymodel/freebusyitem.h
+  collectionselection.h
+  messagewidget.h
+  tagcache.h
+
+)
+
+ki18n_wrap_ui(KF5CalendarSupport
   printing/calprintdayconfig_base.ui
   printing/calprintincidenceconfig_base.ui
   printing/calprintjournalconfig_base.ui
@@ -47,15 +80,17 @@
   printing/calprintweekconfig_base.ui
   printing/calprintyearconfig_base.ui
 )
-ecm_qt_declare_logging_category(calendarsupport_LIB_SRCS HEADER calendarsupport_debug.h IDENTIFIER CALENDARSUPPORT_LOG CATEGORY_NAME org.kde.pim.calendarsupport
+ecm_qt_declare_logging_category(KF5CalendarSupport HEADER calendarsupport_debug.h IDENTIFIER CALENDARSUPPORT_LOG CATEGORY_NAME org.kde.pim.calendarsupport
         OLD_CATEGORY_NAMES log_calendarsupport
         DESCRIPTION "calendarsupport (calendarsupport)" EXPORT CALENDARSUPPORT)
 
-kconfig_add_kcfg_files(calendarsupport_LIB_SRCS kcalprefs_base.kcfgc)
-
-add_library(KF5CalendarSupport ${calendarsupport_LIB_SRCS})
+kconfig_add_kcfg_files(KF5CalendarSupport kcalprefs_base.kcfgc)
+
+if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
+    set_target_properties(KF5CalendarSupport PROPERTIES UNITY_BUILD ON)
+endif()
 generate_export_header(KF5CalendarSupport BASE_NAME calendarsupport)
-add_library(KF5::CalendarSupport ALIAS KF5CalendarSupport)
+
 
 target_include_directories(KF5CalendarSupport INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/CalendarSupport/;${KDE_INSTALL_INCLUDEDIR_KF5}/calendarsupport>")
 target_include_directories(KF5CalendarSupport PUBLIC "$<BUILD_INTERFACE:${calendarsupport_SOURCE_DIR}/src;${calendarsupport_BINARY_DIR}/src>")
@@ -66,7 +101,7 @@
   KF5::Mime
   KF5::IdentityManagement
   KF5::AkonadiCalendar
-  Qt5::PrintSupport
+  Qt::PrintSupport
 PRIVATE
   KF5::I18n
   KF5::Completion
@@ -83,14 +118,14 @@
 )
 
 set_target_properties(KF5CalendarSupport PROPERTIES
-    VERSION ${CALENDARSUPPORT_VERSION_STRING}
+    VERSION ${CALENDARSUPPORT_VERSION}
     SOVERSION ${CALENDARSUPPORT_SOVERSION}
     EXPORT_NAME CalendarSupport
 )
 
 install(TARGETS
     KF5CalendarSupport
-    EXPORT KF5CalendarSupportTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
+    EXPORT KF5CalendarSupportTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
 )
 
 ecm_generate_headers(CalendarSupport_CamelCase_HEADERS
@@ -146,7 +181,7 @@
 
 ecm_generate_pri_file(BASE_NAME CalendarSupport
     LIB_NAME KF5CalendarSupport
-    DEPS "Mime IdentityManagement AkonadiCalendar" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/CalendarSupport
+    DEPS "KMime KIdentityManagement AkonadiCalendar" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/CalendarSupport
 )
 
 install(FILES
@@ -186,3 +221,31 @@
 endif()
 
 ecm_qt_install_logging_categories(EXPORT CALENDARSUPPORT FILE calendarsupport.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+
+if (BUILD_QCH)
+    ecm_add_qch(
+        KF5CalendarSupport_QCH
+        NAME KF5CalendarSupport
+        BASE_NAME KF5CalendarSupport
+        VERSION ${PIM_VERSION}
+        ORG_DOMAIN org.kde
+        SOURCES # using only public headers, to cover only public API
+        ${CalendarSupport_HEADERS}
+        ${CalendarSupport_printer_HEADERS}
+        ${CalendarSupport_next_HEADERS}
+        ${CalendarSupport_freebusy_HEADERS}
+        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
+        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
+        LINK_QCHS
+            Qt5Core_QCH
+            Qt5Gui_QCH
+            Qt5Widgets_QCH
+        INCLUDE_DIRS
+            ${CMAKE_CURRENT_BINARY_DIR}
+        BLANK_MACROS
+            KSIEVEUI_EXPORT
+        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        COMPONENT Devel
+    )
+endif()
