=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: libkf5calendarsupport
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:21.08.1~),
-               libkf5akonadicalendar-dev (>= 4:21.08.1~),
-               libkf5akonadimime-dev (>= 4:21.08.1~),
-               libkf5akonadinotes-dev (>= 4:21.08.1~),
+               libkf5akonadi-dev (>= 4:21.12.3~),
+               libkf5akonadicalendar-dev (>= 4:21.12.3~),
+               libkf5akonadimime-dev (>= 4:21.12.3~),
+               libkf5akonadinotes-dev (>= 4:21.12.3~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarutils-dev (>= 4:21.08.1~),
+               libkf5calendarutils-dev (>= 4:21.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.08.1~),
+               libkf5contacteditor-dev (>= 4:21.12.3~),
                libkf5holidays-dev (>= 1:5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 21.08.1~),
-               libkf5mime-dev (>= 21.08.1~),
-               libkf5pimcommon-dev (>= 4:21.08.1~),
+               libkf5identitymanagement-dev (>= 21.12.3~),
+               libkf5mime-dev (>= 21.12.3~),
+               libkf5pimcommon-dev (>= 4:21.12.3~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
@@ -43,10 +44,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:21.08.1~),
-         libkf5akonadicalendar-dev (>= 4:21.08.1~),
+Depends: libkf5akonadi-dev (>= 4:21.12.3~),
+         libkf5akonadicalendar-dev (>= 4:21.12.3~),
          libkf5calendarsupport5abi1 (= ${binary:Version}),
-         libkf5identitymanagement-dev (>= 21.08.1~),
+         libkf5identitymanagement-dev (>= 21.12.3~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends},
